import { ModelUtilImpl, ModelConditionUtil, ModelConditionUtilImpl, FieldConditionUtil } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-05-26 09:28
 */
interface QBmViewModel {
    id: string;
    name: string;
    scopeCode: string;
    versionNo: string;
    createTime: Date;
    updateTime: Date;
}
interface QBmViewModelMCU extends ModelConditionUtil<QBmViewModelMCU> {
    ID: FieldConditionUtil<QBmViewModelMCU>;
    NAME: FieldConditionUtil<QBmViewModelMCU>;
    SCOPE_CODE: FieldConditionUtil<QBmViewModelMCU>;
    VERSION_NO: FieldConditionUtil<QBmViewModelMCU>;
    CREATE_TIME: FieldConditionUtil<QBmViewModelMCU>;
    UPDATE_TIME: FieldConditionUtil<QBmViewModelMCU>;
}
declare class QBmViewModelMCUImpl extends ModelConditionUtilImpl<QBmViewModelMCUImpl> implements QBmViewModelMCU {
    newInstance(): QBmViewModelMCUImpl;
    private _ID;
    get ID(): FieldConditionUtil<QBmViewModelMCU>;
    private _NAME;
    get NAME(): FieldConditionUtil<QBmViewModelMCU>;
    private _SCOPE_CODE;
    get SCOPE_CODE(): FieldConditionUtil<QBmViewModelMCU>;
    private _VERSION_NO;
    get VERSION_NO(): FieldConditionUtil<QBmViewModelMCU>;
    private _CREATE_TIME;
    get CREATE_TIME(): FieldConditionUtil<QBmViewModelMCU>;
    private _UPDATE_TIME;
    get UPDATE_TIME(): FieldConditionUtil<QBmViewModelMCU>;
}
declare class QBmViewModelMU extends ModelUtilImpl<QBmViewModelMCU, QBmViewModel> {
    selectSQL: string;
    modelFields: string[];
    createModelConditionUtil(): QBmViewModelMCU;
    private static _ID;
    static get ID(): FieldConditionUtil<QBmViewModelMCU>;
    private static _NAME;
    static get NAME(): FieldConditionUtil<QBmViewModelMCU>;
    private static _SCOPE_CODE;
    static get SCOPE_CODE(): FieldConditionUtil<QBmViewModelMCU>;
    private static _VERSION_NO;
    static get VERSION_NO(): FieldConditionUtil<QBmViewModelMCU>;
    private static _CREATE_TIME;
    static get CREATE_TIME(): FieldConditionUtil<QBmViewModelMCU>;
    private static _UPDATE_TIME;
    static get UPDATE_TIME(): FieldConditionUtil<QBmViewModelMCU>;
}
export { QBmViewModelMCU, QBmViewModelMCUImpl, QBmViewModel, QBmViewModelMU };
